Bug 1417740 - [ko] pofilter startwhitespace test fails for subscription-manager 1.18.X
Summary: [ko] pofilter startwhitespace test fails for subscription-manager 1.18.X
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 20:22 UTC by John Sefler
Modified: 2017-03-21 10:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:58:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1391681 None None None Never
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1391681

Description John Sefler 2017-01-30 20:22:38 UTC
Description of problem:
After the translation team worked on Bug 1391681, the following pofilter accelerators tests are failing...

Version-Release number of selected component (if applicable):
[root@jsefler-rhel6server ~]# rpm -q subscription-manager
subscription-manager-1.18.8-1.el6.x86_64
https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

How reproducible:
always


For an explanation of pofilter test 'startwhitespace', see: http://translate.sourceforge.net/wiki/toolkit/pofilter_tests
ssh root@jsefler-rhel6server.usersys.redhat.com pofilter --gnome -t startwhitespace /usr/share/locale/ko/LC_MESSAGES/rhsm.po
Stdout:
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2017-01-20 04:05-0500\n"
"PO-Revision-Date: 2017-01-08 08:35-0500\n"
"Last-Translator: eukim <eukim@fedoraproject.org>\n"
"Language-Team: Korean\n"
"Language: ko\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=1; plural=0\n"
"X-Generator: Zanata 3.9.6\n"

# (pofilter) startwhitespace: Different whitespace at the start
msgid "The --remove-rhn-packages and --keep options cannot be used together."
msgstr " --remove-rhn-packages 및 --keep 옵션은 동시에 사용할 수 없습니다. "
Stderr:
processing 1 files...
[###########################################] 100%
ExitCode: 0
Asserted: Actual value of '0' matches expected value: Successfully executed the pofilter tests.
Test Failed: subscriptionManagerPofilter_Test
java.lang.AssertionError: Discounting the ignored test results, the number of failed pofilter 'startwhitespace' tests for translation file '/usr/share/locale/ko/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<1>

Comment 1 John Sefler 2017-01-30 20:24:10 UTC
I have updated Zanata project 1.18.X for the failed translations for 'startwhitespace' tests against [ko].

Devel team simply needs to re-pull the translations from https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

Comment 3 John Sefler 2017-02-01 17:49:30 UTC
Verifying Version....
[root@jsefler-rhel6 ~]# rpm -q subscription-manager
subscription-manager-1.18.9-1.el6.x86_64


[root@jsefler-rhel6 ~]# msgunfmt --no-wrap /usr/share/locale/ko/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ko/LC_MESSAGES/rhsm.po
[root@jsefler-rhel6 ~]# pofilter --gnome -t startwhitespace /usr/share/locale/ko/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-rhel6 ~]# 

VERIFIED: all [ko] pofilter startwhitespace tests are passing

Comment 5 errata-xmlrpc 2017-03-21 10:58:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.